commit 5253c1567b219accfbdd9c6e817c26d5ae6e0024
Author: freddy77 <freddy77>
Date:   Wed May 7 08:42:30 2008 +0000

    added new odbcss.h to support some constants

diff --git a/ChangeLog b/ChangeLog
index 1f0b9d0..9259213 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,10 +1,14 @@
+Wed May  7 10:41:43 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* include/Makefile.am include/odbcss.h(added) src/odbc/error.c:
+	- added new odbcss.h to support some constants
+
 Tue May  6 13:41:32 EDT 2008	JK Lowden <jklowden@freetds.org>
 	* doc/userguide.sgml updated links to external docs
 
 Mon May  5 20:11:58 EDT 2008	JK Lowden <jklowden@freetds.org>
 	* include/cstypes.h src/ctlib/ct.c
 	- applied CS_BIGINT patch from Stephen Degler
-	
+
 Fri May 02 12:03:47 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/log.c: fixed printf format problem
 
@@ -262,4 +266,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2514 2008/05/06 17:42:43 jklowden Exp $
+$Id: ChangeLog,v 1.2515 2008/05/07 08:42:30 freddy77 Exp $
diff --git a/include/Makefile.am b/include/Makefile.am
index 8e417b0..c257cf9 100644
--- a/include/Makefile.am
+++ b/include/Makefile.am
@@ -3,7 +3,7 @@ AUTOMAKE_OPTIONS	=	1.5.3
 include_HEADERS	=	bkpublic.h cspublic.h cstypes.h ctpublic.h \
 			sqldb.h sqlfront.h \
 			sybdb.h sybfront.h \
-			syberror.h
+			syberror.h odbcss.h
 
 nodist_include_HEADERS	=	tds_sysdep_public.h
 
diff --git a/include/odbcss.h b/include/odbcss.h
new file mode 100644
index 0000000..66e1c61
--- /dev/null
+++ b/include/odbcss.h
@@ -0,0 +1,24 @@
+/* FreeTDS - Library of routines accessing Sybase and Microsoft databases
+ * Copyright (C) 2008  Frediano Ziglio
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Library General Public
+ * License as published by the Free Software Foundation; either
+ * version 2 of the License, or (at your option) any later version.
+ *
+ * This library is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+ * Library General Public License for more details.
+ *
+ * You should have received a copy of the GNU Library General Public
+ * License along with this library; if not, write to the
+ * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+ * Boston, MA 02111-1307, USA.
+ */
+
+/* $Id: odbcss.h,v 1.1 2008/05/07 08:42:30 freddy77 Exp $ */
+
+#define SQL_DIAG_SS_MSGSTATE	(-1150)
+#define SQL_DIAG_SS_LINE	(-1154)
+
diff --git a/src/odbc/error.c b/src/odbc/error.c
index c9e0772..5606f5a 100644
--- a/src/odbc/error.c
+++ b/src/odbc/error.c
@@ -36,18 +36,15 @@
 #include <assert.h>
 
 #include "tdsodbc.h"
+#include "odbcss.h"
 #include "tdsstring.h"
 #include "replacements.h"
 
-#if HAVE_ODBCSS_H
-#include <odbcss.h>
-#endif
-
 #ifdef DMALLOC
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: error.c,v 1.51 2008/03/13 13:23:31 freddy77 Exp $");
+TDS_RCSID(var, "$Id: error.c,v 1.52 2008/05/07 08:42:30 freddy77 Exp $");
 
 static void odbc_errs_pop(struct _sql_errors *errs);
 static const char *odbc_get_msg(const char *sqlstate);
@@ -733,23 +730,19 @@ SQLGetDiagField(SQLSMALLINT handleType, SQLHANDLE handle, SQLSMALLINT numRecord,
 		*(SQLINTEGER *) buffer = SQL_COLUMN_NUMBER_UNKNOWN;
 		break;
 
-#ifdef SQL_DIAG_SS_MSGSTATE
 	case SQL_DIAG_SS_MSGSTATE:
 		if (errs->errs[numRecord].msgstate == 0)
 			return SQL_ERROR;
 		else
 			*(SQLINTEGER *) buffer = errs->errs[numRecord].msgstate;
 		break;
-#endif
 
-#ifdef SQL_DIAG_SS_LINE
 	case SQL_DIAG_SS_LINE:
 		if (errs->errs[numRecord].linenum == 0)
 			return SQL_ERROR;
 		else
 			*(SQLUSMALLINT *) buffer = errs->errs[numRecord].linenum;
 		break;
-#endif
 
 	case SQL_DIAG_CONNECTION_NAME:
 		if (dbc && dbc->tds_socket && dbc->tds_socket->spid > 0)

